"use strict";

exports.__esModule = true;

require("babel-polyfill");

var _n1qlFormatter = require("./languages/n1qlFormatter");

var _n1qlFormatter2 = _interopRequireDefault(_n1qlFormatter);

var _standardSqlFormatter = require("./languages/standardSqlFormatter");

var _standardSqlFormatter2 = _interopRequireDefault(_standardSqlFormatter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

exports["default"] = {
    /**
     * Format whitespaces in a query to make it easier to read.
     * Throws error when given language is not supported.
     *
     * @param {String} language Query language
     * @param {String} query
     * @return {String}
     */
    format: function format(language, query) {
        switch (language) {
            case "n1ql":
                return _n1qlFormatter2["default"].format(query);
            case "sql":
                return _standardSqlFormatter2["default"].format(query);
            default:
                throw "Unsupported language";
        }
    }
};
module.exports = exports["default"];